========
Usage
========

The directory ``examples`` contains a few examples on how to use the client.


Deployments
-----------

Here is a simple usage of creating a deployment from a yaml file:


.. literalinclude:: ../../examples/create_deployment.py


The following example demostrates how to create, update and delete deployments
without the need to read a file from the disk:

.. literalinclude:: ../../examples/deployment_examples.py
